Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2700683002: [LayoutNG] Fix incorrectly positioned empty blocks inside of new BFC (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by Gleb Lanbin
Modified:
2 months, 1 week ago
Reviewers:
ikilpatrick
CC:
chromium-reviews, cbiesinger, ojan+watch_chromium.org, szager+layoutwatch_chromium.org, glebl+reviews_chromium.org, dgrogan+ng_chromium.org, atotic+reviews_chromium.org, blink-reviews-layout_chromium.org, pdr+renderingwatchlist_chromium.org, eae+blinkwatch, leviw+renderwatch, zoltan1, jchaffraix+rendering, blink-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[LayoutNG] Fix incorrectly positioned empty blocks inside of new BFC List of changes: - Reset BFC offset for blocks that establishes a new BFC - Correctly calculate child's BFC offset if the parent's BFC offset is known but the child fragment doesn't know its BFC offset (for example when it's empty) - Do not change content_size for empty blocks. Example: <div style="overflow:hidden"> <div style="margin-top: 8px"></div> <div style="margin-top: 10px"></div> </div> - Do not set MarginStrut to Float Constraint spaces - New unit test NGBlockLayoutAlgorithmTest::PositionEmptyBlocksInNewBfc - Update legacy floating objects for each fragment's instead of for fragment's children only. BUG=635619 TEST=NGBlockLayoutAlgorithmTest::PositionEmptyBlocksInNewBfc Review-Url: https://codereview.chromium.org/2700683002 Cr-Commit-Position: refs/heads/master@{#451177} Committed: https://chromium.googlesource.com/chromium/src/+/4d81d1e61673e8e3f988fe8efaebf630308f8e85

Patch Set 1 #

Total comments: 12

Patch Set 2 : Fix comments and some crashes in FloatingObjects #

Unified diffs Side-by-side diffs Delta from patch set Stats (+120 lines, -18 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 chunks +3 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc View 1 6 chunks +39 lines, -15 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm_test.cc View 1 1 chunk +59 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_block_node.cc View 1 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_physical_fragment.h View 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_units.h View 2 chunks +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_units.cc View 1 1 chunk +4 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (13 generated)
Gleb Lanbin
2 months, 1 week ago (2017-02-16 01:06:51 UTC) #3
ikilpatrick
https://codereview.chromium.org/2700683002/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc File third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc (right): https://codereview.chromium.org/2700683002/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc#newcode425 third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc:425: } .nit nl below this? https://codereview.chromium.org/2700683002/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc#newcode426 third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc:426: // Block ...
2 months, 1 week ago (2017-02-16 17:27:38 UTC) #8
Gleb Lanbin
PTAL https://codereview.chromium.org/2700683002/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc File third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc (right): https://codereview.chromium.org/2700683002/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc#newcode425 third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc:425: } On 2017/02/16 17:27:37, ikilpatrick wrote: > .nit ...
2 months, 1 week ago (2017-02-16 20:08:27 UTC) #9
ikilpatrick
lgtm
2 months, 1 week ago (2017-02-16 20:21:29 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2700683002/2
2 months, 1 week ago (2017-02-16 23:55:51 UTC) #16
commit-bot: I haz the power
2 months, 1 week ago (2017-02-17 02:11:42 UTC) #19
Message was sent while issue was closed.
Committed patchset #2 (id:2) as
https://chromium.googlesource.com/chromium/src/+/4d81d1e61673e8e3f988fe8efaeb...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46